Services
All operations require authentication.
ServicesBeta
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ service \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get this object propertiesBeta
Path parameters
The internal ID of your service
Response
Creation date
Resource details
Engagement date
Expiration date
The next billing date
Plan service description
Quantity
Renew service description
Resource service description
Route to use in API
Billing state of your service
expiredokpendingunpaidExample uses serviceId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ service/ {serviceId} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01", "details": [ { "key": "string", "value": "string" } ], "engagementDate": "2024-01-01", "expirationDate": "2024-01-01", "nextBillingDate": "2024-01-01", "plan": { "code": "string", "product": { "name": "string" } }, "quantity": 0, "renew": { "dayOfMonth": 0, "interval": "P1M", "mode": "automaticForcedProduct", "possibleIntervals": [ "P1M" ], "possibleModes": [ "automaticForcedProduct" ] }, "resource": { "displayName": "string", "name": "string", "state": "deleted" }, "route": { "path": "string", "url": "string", "vars": [ { "key": "string", "value": "string" } ] }, "state": "expired"}
Alter this object propertiesBeta
Path parameters
The internal ID of your service
Request body (required)
Creation date
Resource details
Engagement date
Expiration date
The next billing date
Plan service description
Quantity
Renew service description
Resource service description
Route to use in API
Billing state of your service
expiredokpendingunpaidResponse
Example uses serviceId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ service/ {serviceId} \
-H "authorization: Bearer $OVH_TOKEN"List possible renews for this serviceBeta
Path parameters
Service Id
Query parameters
Include service's option(s)
Response
ISO8601 formatted renewal duration
List possible strategies
Example uses serviceId = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ service/ {serviceId}/ renew \
-H "authorization: Bearer $OVH_TOKEN"[ { "renewPeriod": {}, "strategies": [ { "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "priceInUcents": 0, "services": [ 0 ], "servicesDetails": [ { "serviceId": 0, "serviceName": "string", "serviceType": "string" } ] } ] }]
Create a renew orderBeta
Path parameters
Service Id
Request body (required)
Indicates if renew order is generated
Renew duration
List of services to renew
Response
Creation date of the renew Order
Expiration date of the renew Order
ID of the renew Order
Password
Public pdf URL of the generated renew Order
Price of the product with tax
Price of the product without tax
Retraction date
Value of the tax
Public URL to display generated renew Order
Example uses serviceId = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ service/ {serviceId}/ renew \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "expirationDate": "2024-01-01T12:00:00Z", "orderId": 0, "password": "string", "pdfUrl": "string", "priceWithTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "priceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "retractionDate": "2024-01-01T12:00:00Z", "tax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "url": "string"}
Reopen a suspended serviceBeta
Path parameters
The internal ID of your service
Response
Example uses serviceId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ service/ {serviceId}/ reopen \
-H "authorization: Bearer $OVH_TOKEN"Suspend the service. The service won't be accessible, but you will still be charged for itBeta
Path parameters
The internal ID of your service
Response
Example uses serviceId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ service/ {serviceId}/ suspend \
-H "authorization: Bearer $OVH_TOKEN"Terminates a suspended serviceBeta
Path parameters
The internal ID of your service
Response
Example uses serviceId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ service/ {serviceId}/ terminate \
-H "authorization: Bearer $OVH_TOKEN"